Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rdlc.sw
Class Link_Standard

    java.lang.Object
      rdlc.sw.Link_Standard

All Implemented Interfaces:
  Link

Direct Known Subclasses:
  QueueLink, ReferenceLink

    public abstract class Link_Standard

extends java.lang.Object
implements Link

Standard link generator class from which most links can inherit.

Version:
  $Revision: 1.14 $
Author:
  Greg Gibeling

Field Summary
`protected boolean` | `accurateSim` Cycle accurate simulation?
`protected Log` | `errorLog` Log of errors to be reported to the user.
`protected Expression_Operation` | `newExpression` Expression for creating a new copy of this link.

Constructor Summary
`Link_Standard(java.lang.Boolean _accurateSim, Log _errorLog)` Simple constructor, merely stores it's arguments.

Method Summary
`Type_Reference` | `generate(UnitPort unitPort, Namespace _namespace, Class messageClass, ChannelModel channelModel, Message message, Library library)` Generate the link endpoint class for the given unit port.
`abstract LibraryClass` | `getLibClass(Library library, ErrorLocation errorLocation)` Simple accessor.
`Expression` | `getNew()` Simple accessor

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### accurateSim

    protected boolean accurateSim

  Cycle accurate simulation?

### newExpression

    protected Expression_Operation newExpression

  Expression for creating a new copy of this link.

### errorLog

    protected Log errorLog

  Log of errors to be reported to the user.

Constructor Detail

### Link_Standard

    public Link_Standard(java.lang.Boolean _accurateSim,
                         Log _errorLog)

  Simple constructor, merely stores it's arguments.

  Parameters:
    `_accurateSim` - Is this a cycle accurate simulation?
    `_errorLog` - Log of errors to be reported to the user.

Method Detail

### generate

    public Type_Reference generate(UnitPort unitPort,
                                   Namespace _namespace,
                                   Class messageClass,
                                   ChannelModel channelModel,
                                   Message message,
                                   Library library)

  Description copied from interface: `Link`
  Generate the link endpoint class for the given unit port.

  Specified by:
    `generate` in interface `Link`
  Parameters:
    `unitPort` - The unit port this endpoint will represent.
    `_namespace` - The namespace to create the class in.
    `messageClass` - The class which implements the message this channel will be carrying.
    `channelModel` - The model to use for this channel, will be ignored for timing inaccurate emulation.
    `message` - The RDL message type carried by this channel.
    `library` - Library from which to load helper classes and interfaces.
  Returns:
    The type of the class which implements the link endpoint for the given unit port.
  See Also:
    `Link.generate(UnitPort, Namespace, Class, ChannelModel, Message, Library)`

### getNew

    public Expression getNew()

  Description copied from interface: `Link`
  Simple accessor

  Specified by:
    `getNew` in interface `Link`
  Returns:
    An expression which creates a new copy of this link.
  See Also:
    `Link.getNew()`

### getLibClass

    public abstract LibraryClass getLibClass(Library library,
                                             ErrorLocation errorLocation)

  Simple accessor.

  Parameters:
    `library` - The libary from which to load the pre-implemented link class.
    `errorLocation` - Where to report any errors as coming from.
  Returns:
    The pre-implemented link class from the library.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD